Results 1 to 6 of 6
  1. #1
    Join Date
    Sep 2003
    Posts
    5

    Question Unanswered: Could not connect to target database

    Hi All,

    I could not connect to target database due to folowing error:
    $ rman target rmanuser/rmanuser7389393@INTR catalog rman_intr1/rmanuser7389393@RMAN

    Recovery Manager: Release 9.2.0.1.0 - 64bit Production

    Copyright (c) 1995, 2002, Oracle Corporation. All rights reserved.

    Recovery Manager incompatible with TARGET database: RMAN 8.0.4 to 8.1.6 required
    RMAN-00571: ================================================== =========
    RMAN-00569: =============== ERROR MESSAGE STACK FOLLOWS ===============
    RMAN-00571: ================================================== =========
    RMAN-00554: initialization of internal recovery manager package failed
    RMAN-06429: TARGET database is not compatible with this version of RMAN

    catalog database: Oracle 9.0.2
    target database: Oracle 8.1.7

  2. #2
    Join Date
    Mar 2002
    Location
    Ireland
    Posts
    181
    Hi,

    You need to upgrade your catalog, this should do it:

    $rman catalog usr/pass@sid
    RMAN> upgrade catalog;
    RMAN> upgrade catalog;

    it has to be done twice - should do the trick.

    Rgs,
    Breen.

  3. #3
    Join Date
    Mar 2002
    Location
    Ireland
    Posts
    181
    On second thoughts, I fear I may have leaped before I looked.

    Won't solve the issue.

    Oops,
    Breen.

  4. #4
    Join Date
    Sep 2003
    Posts
    5

    Exclamation COuld not connet

    Before I tested upgrade command.

    I want to notice that
    target database 8.1.7
    catalog database 9.0.2
    Why do i need to upgrade catalog database(9.0.2)

  5. #5
    Join Date
    Mar 2002
    Location
    Ireland
    Posts
    181
    Hi,
    Sorry about that.
    Do you get the same error if you start RMAN from your target machine where you should have the appropriate version?
    Rgs,
    Breen.

  6. #6
    Join Date
    Sep 2003
    Posts
    5

    Exclamation Could not connect to trget database

    Hi Breen,

    thanks a lof for your help.
    I never tested upgrade command until now.

    Because as I said before
    target database: 8.1.7
    catalog database: 9.0.1

    If you want I can explain my situation exactly. I want to backup
    target database(SID=INTR)
    SID of catalog database (RMAN)

    Do i need to upgrade target database or
    catalog database?

    this command is safe?
    rman catalog usr/pass@sid

    `rman catalog rmanuser/rmanuser7389393@RMAN`
    RMAN>upgrade catalog

    Last question: Do I need to run this command from target database or from catalog database?

    Brgds

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •